\version "2.14.2"

\include "header.ly"
\include "markings.ly"

\include "lovesGoneToWarFl.ly"
\include "lovesGoneToWarOb.ly"
\include "lovesGoneToWarCl.ly"

\include "lovesGoneToWarHn.ly"
\include "lovesGoneToWarTpt.ly"
\include "lovesGoneToWarTrb.ly"

\include "lovesGoneToWarTimp.ly"
\include "lovesGoneToWarPerc.ly"
\include "lovesGoneToWarGlk.ly"

\include "lovesGoneToWarVln1.ly"
\include "lovesGoneToWarVln2.ly"
\include "lovesGoneToWarVla.ly"
\include "lovesGoneToWarVlc.ly"
\include "lovesGoneToWarCbs.ly"


#(set-default-paper-size "letter")
#(set-global-staff-size 16)


\layout {
    \context {
      \Score
        skipBars = ##f
        autoBeaming = ##t
        markFormatter = #format-mark-box-letters
        }
    }
    
\paper {
    left-margin   = 15\mm
  }

    
Winds = \new StaffGroup
    <<
      \override Score.TimeSignature #'style = #'() %%makes timesigs always numerical
      
        \new Staff <<
            \set Staff.instrumentName = "Flute"
	    \set Staff.shortInstrumentName = "Fl."
            \context Staff << 
		\context Voice = "Flute" { \Flute }
                >>
	    \Markings
            >>

        \new Staff <<
            \set Staff.instrumentName = "Oboe"
	    \set Staff.shortInstrumentName = "Ob."
            \context Staff << 
                \context Voice = "Oboe" { \Oboe }
                >>
            >>
	                  
	\new Staff <<
            \set Staff.instrumentName = \markup{B\smaller \flat Clarinet}
	    \set Staff.shortInstrumentName = "Cl."
            \context Staff << 
                \context Voice = "Clarinet" { \Clarinet }
                >>
            >>
	>>
	
Brass = \new StaffGroup
    <<
      
        \new Staff <<
            \set Staff.instrumentName = "Horn"
	    \set Staff.shortInstrumentName = "Hn."
            \context Staff << 
                \context Voice = "Horn" { \Horn }
                >>
            >>
	    
	\new Staff <<
            \set Staff.instrumentName = \markup{B\smaller \flat Trumpet}
	    \set Staff.shortInstrumentName = "Tpt."
            \context Staff << 
                \context Voice = "Trumpet" { \Trumpet }
                >>
            >>

        \new Staff <<
            \set Staff.instrumentName = "Trombone"
	    \set Staff.shortInstrumentName = "Tb."
            \context Staff << 
                \context Voice = "Trombone" { \Trombone }
                >>
            >>
	                  
	>>
	
Percussion = \new StaffGroup
    <<
      
        \new Staff <<
            \set Staff.instrumentName = "Timpani"
	    \set Staff.shortInstrumentName = "Timp."
            \context Staff << 
                \context Voice = "Timpani" { \Timpani }
                >>
            >>
	    
	\new DrumStaff <<
            \set Staff.instrumentName = "Crash Cymbal"
	    \set Staff.shortInstrumentName = "Cr. C."
            \Cymbal
            >>
	
	\new DrumStaff <<
            \set Staff.instrumentName = "Snare Drum"
	    \set Staff.shortInstrumentName = "Sn. Dr."
            \SnareDrum 
            >>
	    
	\new DrumStaff <<
            \set Staff.instrumentName = "Bass Drum"
	    \set Staff.shortInstrumentName = "B. Dr."
            \BassDrum
            >>
	    
	 \new Staff <<
            \set Staff.instrumentName = "Glockenspiel"
	    \set Staff.shortInstrumentName = "Glk."
            \context Staff << 
                \context Voice = "Glockenspiel" { \Glockenspiel }
                >>
            >>
	                  
	>>
	
Strings = \new StaffGroup
    <<
	    
        \new Staff <<
            \set Staff.instrumentName = "Violin 1"
	    \set Staff.shortInstrumentName = "Vln. 1"
            \context Staff << 
                \context Voice = "ViolinOne" { \ViolinOne }
                >>
            >>
        
        \new Staff <<
            \set Staff.instrumentName = "Violin 2"
	    \set Staff.shortInstrumentName = "Vln. 2"
            \context Staff << 
                \context Voice = "ViolinTwo" { \ViolinTwo }
                >>
            >>
	    
        \new Staff <<
            \set Staff.instrumentName = "Viola"
	    \set Staff.shortInstrumentName = "Vla."
            \context Staff << 
                \context Voice = "Viola" { \Viola }
                >>
            >>
	    
        \new Staff <<
            \set Staff.instrumentName = "Cello"
	    \set Staff.shortInstrumentName = "Vlc."
            \context Staff << 
                \context Voice = "Cello" { \Cello }
                >>
            >>
	 
	\new Staff <<
            \set Staff.instrumentName = "String Bass"
	    \set Staff.shortInstrumentName = "Str. B."
            \context Staff << 
                \context Voice = "Bass" { \Bass }
                >>
            >>
        >>
    
% The score definition
\score {
  <<
  \Winds
  \Brass
  \Percussion
  \Strings
  \revert Score.MetronomeMark #'extra-spacing-width
>>


  
    \layout {}
    % To create MIDI output, uncomment the following line:
    % \midi { }
    }

